Error: gst-library-error-quark: Could not initialize supporting library. (3): gstnvmsgbroker.cpp(373): legacy_gst_nvmsgbroker_start (): /GstPipeline:p

Error: gst-library-error-quark: Could not initialize supporting library. (3): gstnvmsgbroker.cpp(373): legacy_gst_nvmsgbroker_start (): /GstPipeline:pipeline0/GstNvMsgBroker:nvmsg-broker:
unable to open shared library

1 Like

Please provide complete information as applicable to your setup.

β€’ Hardware Platform (Jetson / GPU)
β€’ DeepStream Version
β€’ JetPack Version (valid for Jetson only)
β€’ TensorRT Version
β€’ NVIDIA GPU Driver Version (valid for GPU only)
β€’ Issue Type( questions, new requirements, bugs)
β€’ How to reproduce the issue ? (This is for bugs. Including which sample app is using, the configuration files content, the command line used and other details for reproducing)
β€’ Requirement details( This is for new requirement. Including the module name-for which plugin or for which sample application, the function description)

**β€’ Hardware Platform GPU
**β€’ DeepStream Version 6.0
**β€’ TensorRT Version 8.0
**β€’ NVIDIA GPU Driver Version 510.47.03
**β€’ Issue Type error

python3 deepstream_test_4.py -i /opt/nvidia/deepstream/deepstream-6.0/samples/streams/sample_720p.h264 -p /opt/nvidia/deepstream/deepstream-6.0/lib --conn-str=β€œlocalhost;9092;test” -s 0
β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”
Creating Pipeline

Creating Source

Creating H264Parser

Creating Decoder

Creating EGLSink

Playing file /opt/nvidia/deepstream/deepstream-6.0/samples/streams/sample_720p.h264
Adding elements to Pipeline

Linking elements in the Pipeline

Starting pipeline
Error: gst-library-error-quark: Could not initialize supporting library. (3): gstnvmsgbroker.cpp(373): legacy_gst_nvmsgbroker_start (): /GstPipeline:pipeline0/GstNvMsgBroker:nvmsg-broker:
unable to open shared library

deepstream-test4-app -i /opt/nvidia/deepstream/deepstream-6.0/samples/streams/sample_720p.h264 -p /opt/nvidia/deepstream/deepstream-6.0/lib --conn-str=β€œlocalhost;9092;test” -s 0
Now playing: /opt/nvidia/deepstream/deepstream-6.0/samples/streams/sample_720p.h264
Running…
ERROR from element nvmsg-broker: Could not initialize supporting library.
Error details: gstnvmsgbroker.cpp(373): legacy_gst_nvmsgbroker_start (): /GstPipeline:dstest4-pipeline/GstNvMsgBroker:nvmsg-broker:
unable to open shared library
Returned, stopping playback
Deleting pipeline

Please check your cloud server config and connections

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.